> ## Documentation Index
> Fetch the complete documentation index at: https://developer.energy-hub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete tariff for user

> Deletes the tariff for the user.



## OpenAPI

````yaml delete /v1.0.0/users/{userId}/tariffs/{tariffId}
openapi: 3.0.1
info:
  description: A service used for smart energy players
  title: smart-energy-service
  version: 1.0.0
servers:
  - description: Generated server url
    url: https://api.energy-hub.io
security: []
paths:
  /v1.0.0/users/{userId}/tariffs/{tariffId}:
    delete:
      tags:
        - User Tariff Controller
      summary: Delete tariff for user
      description: Deletes the tariff for the user.
      operationId: deleteTariffForUser
      parameters:
        - schema:
            type: string
          in: path
          name: userId
          description: User ID
          required: true
        - schema:
            format: uuid
            type: string
          in: path
          name: tariffId
          description: Tariff ID
          required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessMessageDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                UNAUTHORIZED:
                  $ref: '#/components/examples/UNAUTHORIZED'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                TARIFF_NOT_FOUND:
                  $ref: '#/components/examples/TARIFF_NOT_FOUND'
      security:
        - API_Key: []
components:
  schemas:
    SuccessMessageDto:
      type: object
      properties:
        success:
          type: boolean
    ErrorMessageDto:
      type: object
      required:
        - errorCode
        - id
        - message
      properties:
        errorCode:
          description: The error code
          type: string
          example: EXAMPLE_ERROR_CODE
        id:
          format: uuid
          description: The error identifier
          type: string
          example: 7958818d-64d2-4ede-b12b-4786dd2f348b
        message:
          description: The error message
          type: string
          example: Example error message
  examples:
    UNAUTHORIZED:
      value:
        errorCode: UNAUTHORIZED
        id: 1068eb9d-7814-491b-8219-25bad554bef7
        message: Unauthorized
    TARIFF_NOT_FOUND:
      value:
        errorCode: TARIFF_NOT_FOUND
        id: 1068eb9d-7814-491b-8219-25bad554bef7
        message: '[TARIFF] Tariff not found.'
  securitySchemes:
    API_Key:
      in: header
      name: X-API-KEY
      description: API key used for authorization and authentication.
      type: apiKey

````